Summary: Firmware for Marvell Libertas SD 8686 Network Adapter
Name:    libertas-sd8686-firmware
Version: 9.70.7.p0
Release: 1%{?dist}
License: Redistributable, no modification permitted
Group:   System Environment/Kernel
URL:     http://www.marvell.com/
Source0: http://dev.laptop.org/pub/firmware/libertas/sd8686-%{version}.bin
Source1: http://dev.laptop.org/pub/firmware/libertas/sd8686-%{version}.bin.md5
Source2: http://dev.laptop.org/pub/firmware/libertas/sd8686_helper.bin
Source3: http://dev.laptop.org/pub/firmware/libertas/sd8686_helper.bin.md5
Source4: http://dev.laptop.org/pub/firmware/libertas/LICENSE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildArch: noarch

Requires: udev

%description
Firmware for Marvell Libertas SD 8686 Network Adapter

%prep
%setup -c -T
cp -p %{SOURCE0} .
md5sum -c %{SOURCE1}
cp -p %{SOURCE2} .
md5sum -c %{SOURCE3}
cp -p %{SOURCE4} LICENSE
sed -i 's/\r//' LICENSE

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m 0644 %{SOURCE0} $RPM_BUILD_ROOT/lib/firmware/sd8686.bin
%{__install} -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/lib/firmware/sd8686_helper.bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
/lib/firmware/*.bin


%changelog
* Wed Nov 4  2009 Daniel Drake <dsd@laptop.org> - 9.70.7.p0-1
- Initial package

